Name:		geos
Version:	3.12.1
Release:	%mkrel 1
Summary:	GEOS (Geometry Engine, Open Source) topology library
License:	LGPLv2+
Group:		Sciences/Geosciences
Url:		https://trac.osgeo.org/geos
Source0:	https://download.osgeo.org/geos/%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_bindir}/geosop

#-----------------------------------------------------------------------------

%define major	3
%define libname	%mklibname geos %{major}

%package -n %{libname}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences
Provides:	%{name} lib%{name}

%description -n %{libname}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname}
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_libdir}/libgeos.so.%{version}

#-----------------------------------------------------------------------------

%define major_c		1
%define libname_c	%mklibname geos_c %{major_c}

%package -n %{libname_c}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences

%description -n %{libname_c}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname_c}
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_libdir}/libgeos_c.so.%{major_c}{,.*}

#-----------------------------------------------------------------------------

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}
Summary:	Development Libraries for the GEOS topology library
Group:		Sciences/Geosciences
Requires:	%{libname} = %{version}
Requires:	%{libname_c} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	libgeos-devel = %{version}

%description -n %{devel_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{devel_name}
%{_bindir}/geos-config
%{_includedir}/*
%{_libdir}/libgeos.so
%{_libdir}/libgeos_c.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/GEOS/

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
# Native build
%cmake -DDISABLE_GEOS_INLINE=ON \
       -DBUILD_DOCUMENTATION=ON

%cmake_build

%install
%cmake_install


%changelog
* Thu Dec 07 2023 daviddavid <daviddavid> 3.12.1-1.mga10
+ Revision: 2014348
- new version: 3.12.1

* Tue Sep 05 2023 daviddavid <daviddavid> 3.12.0-1.mga10
+ Revision: 1984431
- new version: 3.12.0

* Tue Mar 15 2022 umeabot <umeabot> 3.9.1-2.mga9
+ Revision: 1793458
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 3.9.1-1.mga9
+ Revision: 1701266
- new version: 3.9.1

* Tue Mar 02 2021 daviddavid <daviddavid> 3.9.0-1.mga9
+ Revision: 1696079
- new version: 3.9.0

* Tue Apr 14 2020 daviddavid <daviddavid> 3.8.1-1.mga8
+ Revision: 1567251
- new version: 3.8.1

* Thu Feb 20 2020 umeabot <umeabot> 3.8.0-3.mga8
+ Revision: 1547337
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 3.8.0-2.mga8
+ Revision: 1487903
- fix build on armv7 disabling inlining

* Fri Feb 07 2020 daviddavid <daviddavid> 3.8.0-1.mga8
+ Revision: 1487886
- new version: 3.8.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Apr 14 2019 daviddavid <daviddavid> 3.7.1-1.mga7
+ Revision: 1389884
- new version: 3.7.1

* Sun Sep 23 2018 umeabot <umeabot> 3.6.2-3.mga7
+ Revision: 1297864
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 3.6.2-2.mga7
+ Revision: 1235789
- explicitly list .so files in devel pkg
- drop multiarch support

* Tue Oct 31 2017 eatdirt <eatdirt> 3.6.2-1.mga7
+ Revision: 1175156
- Upgrade to version 3.6.2

* Sat Apr 16 2016 shlomif <shlomif> 3.5.0-1.mga6
+ Revision: 1002874
- New version 3.5.0

* Thu Feb 11 2016 umeabot <umeabot> 3.4.2-6.mga6
+ Revision: 954041
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 3.4.2-5.mga6
+ Revision: 870429
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.4.2-4.mga5
+ Revision: 741002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.2-3.mga5
+ Revision: 679506
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.4.2-2.mga4
+ Revision: 534995
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 3.4.2-1.mga4
+ Revision: 480678
- new version 3.4.2

* Wed Jun 26 2013 fwang <fwang> 3.3.8-1.mga4
+ Revision: 446801
- new version 3.3.8

* Thu Jan 17 2013 obgr_seneca <obgr_seneca> 3.3.6-1.mga3
+ Revision: 389214
- New version 3.3.6

* Sat Jan 12 2013 umeabot <umeabot> 3.3.4-2.mga3
+ Revision: 351402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 obgr_seneca <obgr_seneca> 3.3.4-1.mga3
+ Revision: 262118
- New version 3.3.4

* Mon Jun 04 2012 obgr_seneca <obgr_seneca> 3.3.3-1.mga3
+ Revision: 253982
- New version 3.3.3

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 3.3.2-1.mga2
+ Revision: 197240
- new version 3.3.2

* Wed Nov 02 2011 obgr_seneca <obgr_seneca> 3.3.1-1.mga2
+ Revision: 161878
- new version 3.3.1

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 3.3.0-1.mga2
+ Revision: 149389
- new version 3.3.0

* Thu Mar 24 2011 ennael <ennael> 3.2.2-2.mga1
+ Revision: 76892
- imported package geos


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-2mdv2011.0
+ Revision: 610833
- rebuild

* Wed Apr 28 2010 Emmanuel Andry <eandry@mandriva.org> 3.2.2-1mdv2010.1
+ Revision: 540199
- New version 3.2.2

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.0-1mdv2010.1
+ Revision: 484067
- update to new version 3.2.0

* Wed Jul 29 2009 Helio Chissini de Castro <helio@mandriva.com> 3.1.1-1mdv2010.0
+ Revision: 403953
- Bring back .la files. Should never, never, never been removed
- Update for new upstream version
- Split static libs in proper subpackage

* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 341544
- New upstream release

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 3.0.0-5mdv2009.1
+ Revision: 334035
- really fix conflicts

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 3.0.0-4mdv2009.1
+ Revision: 334029
- fix conflicts

* Wed Aug 27 2008 Emmanuel Andry <eandry@mandriva.org> 3.0.0-3mdv2009.0
+ Revision: 276439
- apply devel policy
- use configure2_5x
- fix gcc43 build with P0 from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-1mdv2008.1
+ Revision: 139606
- New version
- use major

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 27 2007 Anssi Hannula <anssi@mandriva.org> 2.2.3-2mdv2007.0
+ Revision: 114404
- fix missing require from -devel package

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 2.2.3-1mdv2007.0
+ Revision: 51711
- New upstream version 2.2.3, gcc 4 compliant
- import geos-2.1.4-1mdk

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 2.1.4-1mdk
- New release 2.1.4

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 2.1.3-1mdk
- New release 2.1.3
- mkrel, multiarch

* Sun Oct 31 2004 Michael Scherer <misc@mandrake.org> 2.0.1-1mdk
- 2.0.1
- from Jorrit Jorritsma <jjorritsma@aboveit.nl>
  - src rpm borrowed from postgis.refractions.net
  - altered specfile to make it conform Mandake cooker specs

